<script lang="ts">
import { defineComponent, PropType } from 'vue';
import JText from '@new-jira-clone/ui/src/components/shared/JText';

export default defineComponent({
  name: 'JErrorMessages',
  components: {
    JText,
  },
  props: {
    errorMessages: {
      type: Array as PropType<string[]>,
      default: () => [],
    },
    formError: {
      type: Boolean,
      default: false,
    },
  },
});
</script>

<template>
  <div
    v-if="errorMessages.length"
    class="j-messages-wrapper"
  >
    <JText
      v-for="errorMessage in errorMessages"
      :key="errorMessage"
      type="text-5"
      color="error"
    >
      {{ errorMessage }}
    </JText>
  </div>
</template>

<style lang="scss" scoped>
.j-messages-wrapper {
  display: flex;
  flex-direction: column;
}
</style>
